3

I'm trying to make a 3d plot by adapting the one from the beamer gallery. I'm using LyX 2.0. I keep getting an error that LyX can't compile the file because it can't find

\begin{document}

Obviously, you don't put this in the LaTeX preamble in Lyx. My document compiled fine before downloading the .sty file and inserting the following line into the preamble.

\usepackage{3dplot}

This is my full preamble:

%\usetheme{Warsaw}
\usetheme{CambridgeUS}
% or ...

\usecolortheme{beaver}
\usefonttheme{serif}
\setbeamertemplate{footline}[text line]{} % makes the footer EMPTY
\usepackage{tikz}
\usetikzlibrary{arrows}
\beamertemplatenavigationsymbolsempty
\definecolor{burntorange}{cmyk}{0,0.52,1,0}

\AtBeginSection[]
{
    \begin{frame}
     \frametitle{Table of Contents}
     \tableofcontents[currentsection,currentsubsection]
      \end{frame}
}
  \usepackage{3dplot} %requires 3dplot.sty to be in same directory, or in your LaTeX      
   installation

How can I resolve this?

5

Using

\usepackage{tikz-3dplot}

instead of

\usepackage{3dplot}

causes no errors and generates the example fine.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.